<?php
/*
header("Content-disposition: attachment; filename=P2021012800019.zpl");
header("Content-type: application/zpl");
readfile("P2021012800019.zpl");
*/


//Utilizamos basename por seguridad, devuelve el 
//nombre del archivo eliminando cualquier ruta. 
$nombre = "P2021012800019.zpl";
$archivo = basename($nombre);

$ruta = 'FTP_Labels/Pallet/'.$archivo;

if (is_file($ruta))
{
   header('Content-Type: application/force-download');
   header('Content-Disposition: attachment; filename='.$archivo);
   header('Content-Transfer-Encoding: binary');
   header('Content-Length: '.filesize($ruta));

   readfile($ruta);
}
else
   exit();

?>